<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_centerHorizontal="true"
        android:gravity="center"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="420dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:background="@drawable/bg_shu_ru_kuang"
            android:orientation="vertical"
            android:padding="20dp">

            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:layout_width="380dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="12dp"
                android:gravity="center"
                android:text="请将标签粘贴在化学品外包装上"
                android:textColor="@color/black"
                android:textSize="12sp" />

            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:id="@+id/chemicalName"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:textColor="@color/black"
                android:textSize="15sp" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <TextView
                android:ellipsize="end"
                android:maxLines="1"
                    android:id="@+id/net_Wt_TV"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:textColor="@color/purple_666666"
                    android:textSize="12sp" />


                <TextView
                android:ellipsize="end"
                android:maxLines="1"
                    android:id="@+id/layer_TV"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentEnd="true"
                    android:layout_centerVertical="true"
                    android:text="柜层"
                    android:textColor="@color/black"
                    android:textSize="12sp" />
            </RelativeLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:layout_marginTop="10px"
                android:background="@color/purple_A2A2A2" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="40dp"
                android:layout_marginTop="8dp"
                android:background="@drawable/bg_bei_ji"
                android:gravity="center_vertical">

                <TextView
                android:ellipsize="end"
                android:maxLines="1"
                    android:layout_width="40dp"
                    android:layout_height="wrap_content"
                    android:textColor="@color/black"
                    android:textSize="12sp" />

                <TextView
                android:ellipsize="end"
                android:maxLines="1"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="编号"
                    android:textColor="@color/black"
                    android:textSize="12sp" />

                <TextView
                android:ellipsize="end"
                android:maxLines="1"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="RFID编号"
                    android:visibility="gone"
                    android:textColor="@color/black"
                    android:textSize="12sp" />

                <TextView
                android:ellipsize="end"
                android:maxLines="1"
                    android:layout_width="40dp"
                    android:layout_height="wrap_content"
                    android:text="删除"
                    android:textColor="@color/black"
                    android:textSize="12sp" />

            </LinearLayout>

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="180dp">

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/rvView"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    tools:listitem="@layout/label_dialog_rv" />

                <LinearLayout
                    android:id="@+id/loading_LL"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:gravity="center"
                    android:orientation="vertical"
                    android:visibility="gone">

                    <ProgressBar
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content" />

                    <TextView
                android:ellipsize="end"
                android:maxLines="1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="打印中..." />
                </LinearLayout>
            </RelativeLayout>

            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:id="@+id/sum_TV"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:padding="5dp"
                android:text="共  30  张" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="70px"
            android:layout_gravity="center"
            android:layout_marginTop="18dp"
            android:orientation="horizontal">

            <Button
                android:id="@+id/butClos"
                android:layout_width="110dp"
                android:layout_height="32dp"
                android:layout_marginRight="19dp"
                android:background="@drawable/bg_closes"
                android:text="关闭" />

            <Button
                android:id="@+id/determine"
                android:layout_width="110dp"
                android:layout_height="32dp"
                android:layout_marginLeft="19dp"
                android:background="@drawable/bg_quan_xin_twoe"
                android:text="确定"
                android:textColor="@color/white" />
        </LinearLayout>
    </LinearLayout>
</RelativeLayout>